package com.zd.laboratory.onemachine.domain;

/**
 * 打卡用户信息
 *
 * @Author: zhoupan
 * @Date: 2021/09/16/9:22
 * @Description:
 */
public class SignInfoVO {


    /**
     * 实验室ID
     */
    private Long subId;

    /**
     * 签到用户信息
     */
    private SingInUser singInUser;


    /**
     * 签到违规信息
     */
    private SingInViolation singInViolation;


    public SignInfoVO(SingInUser singInUser, SingInViolation singInViolation) {
        this.singInUser = singInUser;
        this.singInViolation = singInViolation;
    }

    public SignInfoVO() {
    }


    public SingInUser getSingInUser() {
        return singInUser;
    }

    public SingInViolation getSingInViolation() {
        return singInViolation;
    }

    public void setSingInUser(SingInUser singInUser) {
        this.singInUser = singInUser;
    }

    public void setSingInViolation(SingInViolation singInViolation) {
        this.singInViolation = singInViolation;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }
}
